services:
  stirling-pdf:
    container_name: stirlingpdf
    image: stirlingtools/stirling-pdf:latest
    deploy:
      resources:
        limits:
          memory: 4G
    ports:
      - 8089:8080
    volumes:
      - ./stirling/latest/data:/usr/share/tessdata:rw
      - ./stirling/latest/config:/configs:rw
      - ./stirling/latest/logs:/logs:rw
    environment:
      SECURITY_ENABLELOGIN: true
      DOCKER_ENABLE_SECURITY: true
      # SECURITY_INITIALLOGIN_USERNAME: ${SECURITY_INITIALLOGIN_USERNAME}
      # SECURITY_INITIALLOGIN_PASSWORD: ${SECURITY_INITIALLOGIN_PASSWORD}
      LANGS: "en-US"
      SYSTEM_DEFAULTLOCALE: "en-US"
      UI_APPNAME: "Stirling PDF"
      UI_HOMEDESCRIPTION: ""
      UI_APPNAMENAVBAR: ""
      SYSTEM_MAXFILESIZE: "100"
    restart: unless-stopped
    labels:
      - diun.enable=true